Анкерные системы Schöck Dorn
dwg.ru forum rss xml
| Правила | Регистрация | Пользователи | Поиск | Сообщения за день | Все разделы прочитаны |  Справка по форуму |

Вернуться   Форум DWG.RU > Программное обеспечение > Программирование > Автоматический перенос размеров на слой размеры. Break макро

Автоматический перенос размеров на слой размеры. Break макро

Версия для печати
 
Ответ
Опции темы Поиск в этой теме
Непрочитано 01.03.2005, 12:58
Автоматический перенос размеров на слой размеры. Break макро
Piton
 
Инженер строитель
 
Москва
Регистрация: 24.02.2005
Сообщений: 396

Piton вне форума Вставить имя

Подскажите макрос на кнопку чтоб команда break разрывала в двух указанных точках (First point, second break point). ACAD2005
---
Добавлено (спасибо VVA): Рабочие варианты
#25
#190
#272
#273

Последний раз редактировалось Кулик Алексей aka kpblc, 16.11.2012 в 13:42.
Просмотров: 117000
 
Непрочитано 13.03.2017, 23:34
#321
Кулик Алексей aka kpblc
Moderator

LISP, C# (ACAD 200[9,12,13,14])
 
Регистрация: 25.08.2003
С.-Петербург
Сообщений: 34,726


Как вариант, без особого тестирования:
Код:
[Выделить все]
 (vl-load-com)
(if *vlr-cmd*
  (progn (setq *vlr-cmd* nil) (vlr-remove-all :vlr-command-reactor))
  ) ;_ end of if
(if (not *vlr-cmd*)
  (setq *vlr-cmd* (vlr-command-reactor
                    "cmd"
                    '((:vlr-commandwillstart . cmd-start)
                      (:vlr-commandended . cmd-end)
                      (:vlr-commandcancelled . cmd-end)
                      (:vlr-commandfailed . cmd-end)
                      )
                    ) ;_ end of vlr-command-reactor
        ) ;_ end of setq
  ) ;_ end of if
(defun cmd-start (calling-reactor startcommandinfo / thecommandstart obj name)
  (setq thecommandstart (car startcommandinfo))
  (if (null *oldlayer*)
    (setq *oldlayer* (getvar "CLAYER"))
    ) ;_ end of if
  (cond ((wcmatch (strcase thecommandstart) "REVCLOUD")
         (setq obj (vla-add (vla-get-layers (vla-get-activedocument (vlax-get-acad-object)))
                            (setq name (strcat "Замечания_" (itoa (fix (getvar "cdate")))))
                            ) ;_ end of vla-add
               ) ;_ end of setq
         (vla-put-lineweight obj aclnwt025)
         (vla-put-color obj 1)
         (vla-put-linetype obj "Continuous")
         (vla-put-plottable obj :vlax-true)
         (vl-catch-all-apply (function (lambda () (vla-put-freeze obj :vlax-false))))
         (vla-put-layeron obj :vlax-true)
         (vla-put-lock obj :vlax-false)
         (setq *oldsysvar*
                (mapcar (function (lambda (x / tmp)
                                    (if (setq tmp (getvar (car x)))
                                      (progn (setvar (car x)
                                                     (cond ((cdr x))
                                                           (t tmp)
                                                           ) ;_ end of cond
                                                     ) ;_ end of setvar
                                             (cons (car x) tmp)
                                             ) ;_ end of progn
                                      ) ;_ end of if
                                    ) ;_ end of LAMBDA
                                  ) ;_ end of function
                        (list (cons "clayer" name) '("cecolor") '("celweight") '("celtype"))
                        ) ;_ end of mapcar
               ) ;_ end of setq
         )
        (t (setq *oldsysvar* nil))
        ) ;_ end of cond
  ) ;_ end of defun
;;;------------------------------------------------------------- 
(defun cmd-end (calling-reactor cmd / obj cmd_name)
  (setq cmd_name (strcase (car cmd)))
  (cond ((wcmatch cmd_name "REVCLOUD") (foreach item *oldsysvar* (setvar (car item) (cdr item)))))
  ) ;_ end of defun
__________________

---
Обращение ко мне - на "ты".
Все, что сказано - личное мнение.
Кулик Алексей aka kpblc вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 14.03.2017, 09:54
#322
AMDen

Инженер-проектировщик
 
Регистрация: 07.07.2016
Санкт-Петербург
Сообщений: 153


Алексей, большое спасибо! Работает. )
AMDen вне форума вставить имя Обратить внимание модератора на это сообщение  
Ответ
Вернуться   Форум DWG.RU > Программное обеспечение > Программирование > Автоматический перенос размеров на слой размеры. Break макро

Инженерные консультации
Опции темы Поиск в этой теме
Поиск в этой теме:

Расширенный поиск

Быстрый переход

|| Главная || Каталог САПР || Тендеры || Публикации || Объявления || Биржа труда || Download || Галерея ||
|| Библиотека || Кунсткамера || Каталог предприятий || Контакты || Файлообменник || Блоги ||


Размещение рекламы